//*----------------------------------------------------------------------------
// SPIC.C
//*----------------------------------------------------------------------------
#include "tools.h"
//*----------------------------------------------------------------------------
// SPI-Bus initialisieren
//*----------------------------------------------------------------------------
#define LCD_A0      2    
#define LCD_RST     3    
#define LCD_CS      4     
#define SPI_MOSI    5     
#define SPI_MISO    6     
#define SPI_SCK     7     


void SPI_Init(void) // DOGM132/128 mit SPIC
{
	
	SPIC.CTRL =  SPI_MODE_3_gc | SPI_PRESCALER_DIV4_gc | (1<< SPI_CLK2X_bp) | (1<< SPI_ENABLE_bp) | (1<< SPI_MASTER_bp);
	SPIC.INTCTRL = SPI_INTLVL_OFF_gc;
  	SPIC.STATUS = 0;
  
}

void SPI_PORT_Init(void)
{
  	// === PORT-B CONFIG ===
  	PORTC_DIRSET  = (1 << SPI_MOSI) | (1 << SPI_SCK)  | (1 << LCD_CS) | (1 << LCD_RST) | (1 << LCD_A0);
    PORTC_DIRCLR  = (1 << SPI_MISO);    
 	PORTC_OUTSET  = (1 << SPI_MISO) | (1 << SPI_MOSI) | (1 << SPI_SCK)  | (1 << LCD_CS) | (0 << LCD_RST) | (1 << LCD_A0);
	//PORTC.PIN4CTRL 	=  PORT_OPC_PULLUP_gc;
}
